## Apache Zeta Components Manual :: Docs For Class ezcDocumentDocbookToRstFootnoteHandler

### Document::ezcDocumentDocbookToRstFootnoteHandler

### Class ezcDocumentDocbookToRstFootnoteHandler

Visit footnotes

Footnotes in docbook are emebdded at the position, the reference should occur. We store the contents, to be rendered at the end of the HTML document, and only render a number referencing the actual footnote at the position of the footnote in the docbook document.

Source for this file: /Document/src/converters/element_visitor/docbook/rst/footnote.php

    ezcDocumentElementVisitorHandler
       |
       --ezcDocumentDocbookToRstBaseHandler
          |
          --ezcDocumentDocbookToRstFootnoteHandler

Version: | //autogen//

### Method Summary

public mixed | `handle( $converter , $node , $root )` Handle a node

### Inherited Methods

From ezcDocumentDocbookToRstBaseHandler
protected string | `ezcDocumentDocbookToRstBaseHandler::renderDirective()` Render a directive
From ezcDocumentElementVisitorHandler
public abstract mixed | `ezcDocumentElementVisitorHandler::handle()` Handle a node.

### Methods

#### handle

mixed handle( ezcDocumentElementVisitorConverter $converter , $node , mixed $root )

Handle a node

Handle / transform a given node, and return the result of the conversion.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$converter` | ezcDocumentElementVisitorConverter |
`$node` | DOMElement |
`$root` | mixed |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentElementVisitorHandler::handle()` | Handle a node.

Documentation generated by phpDocumentor 1.4.3